cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/lines/6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_line(
"ORD-0001", "6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderLine('ORD-0001', '6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderLine('ORD-0001', '6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderLine;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderLine> response = client.orders().getOrderLine("ORD-0001", "6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderLineAsync(
"ORD-0001",
"6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderLine(
'ORD-0001',
'6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderLine(context.Background(), "ORD-0001", "6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"order_line": {
"charge_item_uuid": "<string>",
"expected_delivery_date": "<string>",
"id": "<string>",
"item": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"uuid": "<string>"
},
"item_accounting_code": {
"sales_revenue": "<string>"
},
"item_charge_type": "<string>",
"item_custom_attributes": "<array>",
"item_description": "<string>",
"item_invoice_note": "<string>",
"item_order_quantity": 123,
"item_price_snapshot": {
"pricing_rule": {
"price": 123,
"price_period": "<string>",
"price_type": "<string>",
"pricing_level": "<string>",
"pricing_method": "<string>",
"pricing_schedule": "<string>",
"uom": "<string>",
"uuid": "<string>",
"version": "<string>",
"warehouse": "<string>"
}
},
"item_price_tax": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": 123
},
"item_properties": {
"charging_and_billing_alignment": "<string>",
"charging_start_date": "<string>",
"pro_rata_partial_pricing_period": "<string>"
},
"item_sale_tax_configuration": {
"sale_price_is_based_on": "<string>",
"tax_code": {
"code": "<string>",
"link": "<string>",
"rate": "<string>",
"uuid": "<string>"
}
},
"item_type": "<string>",
"object": "<string>",
"pre_order_stock_details": {
"pending_reserve": "<string>",
"reserved": "<string>",
"sold": "<string>"
},
"shipping_cost": 123,
"subtotal": "<string>",
"tax": "<string>",
"tax_exempt_when_sold": true,
"total": "<string>",
"version": 123
}
}Orders
Retrieve an order line
Returns one line of an order, under order_line.
GET
/
orders
/
{order_id}
/
lines
/
{line_uuid}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/orders/ORD-0001/lines/6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.orders.get_order_line(
"ORD-0001", "6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.orders.getOrderLine('ORD-0001', '6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->orders->getOrderLine('ORD-0001', '6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.orders.orders_dto.OrdersDto.OrderLine;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<OrderLine> response = client.orders().getOrderLine("ORD-0001", "6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Orders.GetOrderLineAsync(
"ORD-0001",
"6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.orders.getOrderLine(
'ORD-0001',
'6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Orders().GetOrderLine(context.Background(), "ORD-0001", "6f1d2c3b-4a5e-4f60-8b7c-9d0e1f2a3b4c", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"order_line": {
"charge_item_uuid": "<string>",
"expected_delivery_date": "<string>",
"id": "<string>",
"item": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"uuid": "<string>"
},
"item_accounting_code": {
"sales_revenue": "<string>"
},
"item_charge_type": "<string>",
"item_custom_attributes": "<array>",
"item_description": "<string>",
"item_invoice_note": "<string>",
"item_order_quantity": 123,
"item_price_snapshot": {
"pricing_rule": {
"price": 123,
"price_period": "<string>",
"price_type": "<string>",
"pricing_level": "<string>",
"pricing_method": "<string>",
"pricing_schedule": "<string>",
"uom": "<string>",
"uuid": "<string>",
"version": "<string>",
"warehouse": "<string>"
}
},
"item_price_tax": {
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"rate": 123
},
"item_properties": {
"charging_and_billing_alignment": "<string>",
"charging_start_date": "<string>",
"pro_rata_partial_pricing_period": "<string>"
},
"item_sale_tax_configuration": {
"sale_price_is_based_on": "<string>",
"tax_code": {
"code": "<string>",
"link": "<string>",
"rate": "<string>",
"uuid": "<string>"
}
},
"item_type": "<string>",
"object": "<string>",
"pre_order_stock_details": {
"pending_reserve": "<string>",
"reserved": "<string>",
"sold": "<string>"
},
"shipping_cost": 123,
"subtotal": "<string>",
"tax": "<string>",
"tax_exempt_when_sold": true,
"total": "<string>",
"version": 123
}
}Pass the order’s
id and the line’s id. The response holds the item, quantity, price snapshot, tax and item_properties of the line.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The order's id, as GET /orders lists it.
The order line's id, from the order's lines.
Response
200 - application/json
The line, under order_line.
Show child attributes
Show child attributes